# $Revision: 1.59 $, $Date: 2008-03-02 16:55:09 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
%bcond_with	dbtests	# perform tests using local PostgreSQL installation
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBD
%define		pnam	Pg
Summary:	A PostgresSQL interface for Perl
Summary(cs.UTF-8):	PostgresSQL rozhraní pro Perl
Summary(da.UTF-8):	Et PostgreSQL-grænseflade for Perl
Summary(de.UTF-8):	Ein PostgreSQL-Interface für Perl
Summary(es.UTF-8):	Interfaz PostgresSQL para Perl
Summary(fr.UTF-8):	Interface PostgresSQL pour Perl
Summary(it.UTF-8):	Interfaccia PostgreSQL per Perl
Summary(ja.UTF-8):	Perl の PostgreSQL インターフェイス
Summary(ko.UTF-8):	펄을 위한 PostgresSQL 인터페이스
Summary(nb.UTF-8):	Et PostgreSQL-grensesnitt for Perl
Summary(pl.UTF-8):	Perlowy interfejs do PostgresSQL-a
Summary(pt.UTF-8):	Uma interface de Perl para o PostgresSQL
Summary(pt_BR.UTF-8):	Uma interface de Perl para o PostgresSQL
Summary(ru.UTF-8):	Интерфейс PostgresSQL для Perl
Summary(sv.UTF-8):	Ett gränssnitt till PostgresSQL för Perl
Summary(uk.UTF-8):	Perl-інтерфейс до PostgresSQL
Summary(zh_CN.UTF-8):	Perl 的 PostgresSQL 界面。
Name:		perl-DBD-Pg
Version:	2.2.1
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/DBD/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a988d2f80ed96c01b38550122284ba2c
URL:		http://search.cpan.org/dist/DBD-Pg/
BuildRequires:	perl-DBI
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	postgresql-devel
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl(DBD::Pg) = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq 'perl(POSIX(qw(isprint)))'

%description
DBD::Pg - PostgreSQL database driver for the DBI module.

%description -l cs.UTF-8
Implementace DBI pro PostgreSQL do Perlu.

%description -l da.UTF-8
Denne pakke indeholder en implementation af DBI for PostgreSQL for
Perl.

%description -l de.UTF-8
Dieses Paket enthält eine Implementierung von PostgreSQL für Perl.

%description -l es.UTF-8
Este paquete contiene una implementación de DBI para PotgreSQL para
PERL.

%description -l fr.UTF-8
Ce paquetage contient une mise en oeuvre de DBI pour PostgreSQL pour
Perl.

%description -l it.UTF-8
Questo pacchetto contiene un'implementazione di DBI per PostgreSQL per
Perl.

%description -l ja.UTF-8
このパッケージには Perl の PostgreSQL 用 DBI 実装が収録されています。

%description -l ko.UTF-8
이 패키지는 펄을 위한 PostgreSQL의 DBI 실현을 포함하고 있습니다.

%description -l nb.UTF-8
Denne pakken inneholder en implementasjon av DBI for PostgreSQL for
Perl.

%description -l pl.UTF-8
DBD::Pg - Sterownik bazy danych PostgreSQL dla modułu DBI.

%description -l pt.UTF-8
Este pacote contém uma implementação de DBI para o PostgreSQL para o
Perl.

%description -l pt_BR.UTF-8
Este pacote contém uma implementação de DBI para o PostgreSQL para o
Perl.

%description -l ru.UTF-8
Это пакет содержит реализацию DBI для PostgreSQL для Perl.

%description -l sv.UTF-8
Detta paket innehåller en implementation av DBI för PostgreSQL för
Perl.

%description -l zh_CN.UTF-8
该软件包包括用于 Perl 的 PostgreSQL 的 DBI 实现。

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
POSTGRES_LIB="%{_libdir}"; export POSTGRES_LIB
POSTGRES_INCLUDE="%{_includedir}/postgresql"; export POSTGRES_INCLUDE
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

# skip SIGNATURE test (uses network to get PGP key)
rm SIGNATURE
%{?with_tests:%{__make} test %{!?with_dbtests:DBI_DSN=NOWAY}}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/Pg.pm
%dir %{perl_vendorarch}/auto/DBD/Pg
%{perl_vendorarch}/auto/DBD/Pg/Pg.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/Pg/Pg.so
%{_mandir}/man3/DBD::Pg.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-Pg.spec,v $
Revision 1.59  2008-03-02 16:55:09  radek
- release 2: provide perl(dbd::pg)=version manually (meh, useless version.pm again...)

Revision 1.58  2008-03-02 16:10:15  radek
- version 2.2.1

Revision 1.57  2008-02-26 20:15:52  qboosh
- by default disable tests involving local database

Revision 1.56  2008-02-12 23:20:03  qboosh
- generic URL

Revision 1.55  2008-02-12 21:25:25  radek
- version 2.0.0

Revision 1.54  2008-02-10 12:06:53  arekm
- rel 3

Revision 1.53  2008-01-10 08:38:36  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.52  2007-03-03 12:16:11  arekm
- rel 2

Revision 1.51  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.49  2006/05/25 09:18:53  blaass
- up to 1.49

Revision 1.48  2006/04/01 22:16:01  qboosh
- disable signature test (uses network)

Revision 1.47  2006/03/27 09:21:27  qboosh
- updated to 1.47

Revision 1.46  2005/07/23 23:15:50  radek
- version 1.43

Revision 1.45  2005/06/14 06:41:17  petec
- up to 1.42

Revision 1.44  2004/11/03 22:30:15  paladine
- formatting

Revision 1.43  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.42  2004/05/06 18:09:27  ankry
- fixed perl-devel BR

Revision 1.41  2004/05/05 11:02:12  ankry
- cosmetics

Revision 1.40  2004/04/20 10:08:06  ankry
- new bconds

Revision 1.39  2004/04/20 06:15:53  ankry
- license cosmetic, unification

Revision 1.38  2004/03/07 11:33:36  adamg
- updated to 1.32

Revision 1.37  2004/02/16 17:27:49  qboosh
- next part of locale names update for glibc 2.3.3: s/no/nb/ in rpm headers

Revision 1.36  2004/02/15 20:16:32  adamg
- updated to 1.31

Revision 1.35  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.34  2003/08/19 14:28:06  qboosh
- updated _noauto for new wrappers, cosmetics

Revision 1.33  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/06/10 14:42:03  qboosh
- update to 1.22, added tests (merged from RA-branch), release 2

Revision 1.31  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/20 22:41:28  ankry
- merged translations from RH

Revision 1.28  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.27  2003/03/01 18:05:00  radek
- should be ready for perl-5.8.0; release++

Revision 1.26  2003/02/27 20:44:58  ankry
fixed BR

Revision 1.25  2003/02/25 00:38:30  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:30:33  ankry
- massive attack: change CPAN URLs

Revision 1.23  2003/01/15 17:57:51  mis
- autoupdated to 1.21

Revision 1.22  2002/11/28 18:02:24  mis
- autoupdated to 1.20

Revision 1.21  2002/07/15 15:06:44  ankry
- adapterized

Revision 1.20  2002/07/15 14:53:49  ankry
- merged translations from RH
- cleaning
- release 2

Revision 1.19  2002/07/11 11:43:42  qboosh
- new %%doc, cosmetics

Revision 1.18  2002/07/11 07:58:36  depesz
- new version; should work; STBR

Revision 1.17  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.16  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.15  2002/02/25 10:30:46  depesz
cleanup; revision++

Revision 1.14  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/13 14:11:16  depesz
automatic: Source location unified, Relase Up

Revision 1.12  2002/02/10 15:39:12  depesz
adapterized

Revision 1.11  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/06/29 15:41:37  mis
- autoupdated to 1.01

Revision 1.9  2001/05/28 16:40:44  mis
- autoupdated to 1.00

Revision 1.8  2001/05/07 12:56:59  baggins
- release 2
- postgres includes has moved

Revision 1.7  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2001/04/28 14:05:04  mis
- autoupdated to 0.98

Revision 1.5  2001/04/23 14:08:45  mis
- autoupdated to 0.97

Revision 1.4  2001/04/17 12:07:11  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.3  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.2  2001/04/10 19:26:36  mis
- autoupdated to 0.96

Revision 1.1  2001/03/18 16:50:21  jajcus
- initial spec;  DBI driver for PostgreSQL
